"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BacktraceReportSubmissionResult = void 0;
class BacktraceReportSubmissionResult {
    get result() {
        return this._result;
    }
    constructor(statusOrResponse, message) {
        this.message = message;
        this.status = 'Ok';
        if (this.isSubmissionResponse(statusOrResponse)) {
            this.status = statusOrResponse;
            return;
        }
        this._result = statusOrResponse;
    }
    static OnLimitReached() {
        return new BacktraceReportSubmissionResult('Limit reached', 'Client report limit reached');
    }
    static OnInternalServerError(message) {
        return new BacktraceReportSubmissionResult('Server Error', message);
    }
    static OnInvalidToken() {
        return new BacktraceReportSubmissionResult('Invalid token');
    }
    static OnUnknownError(message) {
        return new BacktraceReportSubmissionResult('Unknown', message);
    }
    static OnNetworkingError(message) {
        return new BacktraceReportSubmissionResult('Network Error', message);
    }
    static Ok(response) {
        return new BacktraceReportSubmissionResult(response);
    }
    isSubmissionResponse(statusOrResponse) {
        return typeof statusOrResponse === 'string';
    }
}
exports.BacktraceReportSubmissionResult = BacktraceReportSubmissionResult;
//# sourceMappingURL=BacktraceSubmissionResult.js.map