import { BacktraceRequestHandler } from '../../model/http';
import { MetricsQueue } from './MetricsQueue';
import { MetricsEvent } from './model/MetricsEvent';
export declare class MetricsSubmissionQueue<T extends MetricsEvent> implements MetricsQueue<T> {
    private readonly _submissionUrl;
    private readonly _eventName;
    private readonly _requestHandler;
    private readonly _metricMetadata;
    readonly maximumEvents: number;
    get total(): number;
    get submissionUrl(): string;
    readonly DELAY_BETWEEN_REQUESTS: number;
    private readonly _events;
    private _numberOfDroppedRequests;
    private readonly _abortController;
    private readonly MAXIMUM_NUMBER_OF_ATTEMPTS;
    constructor(_submissionUrl: string, _eventName: string, _requestHandler: BacktraceRequestHandler, _metricMetadata: Record<string, unknown>, maximumEvents?: number);
    add(event: T): void;
    send(abortSignal?: AbortSignal): Promise<void>;
    dispose(): void;
    private submit;
    private returnEventsIfPossible;
    private reachedLimit;
}
